# -*- coding: utf-8 -*-

from setuptools import setup, find_packages

package_name = "helix"

setup(
    author = "See https://github.com/reece/helix",
    author_email = "reecehart@gmail.com",
    description = open("doc/short-description.txt").read().replace("\n", " "),
    long_description = open("README.rst").read(),
    name = package_name,
    url = "https://github.com/reece/helix",
    use_scm_version = True,
    zip_safe = True,

    packages = find_packages(),
    package_data = {
        package_name: ["_data/*"],
    },

    install_requires = [
        "attrs",
        "requests",
        "pyyaml",
        "six",
        "udatetime",
    ],

    setup_requires = [
        "pytest-runner",
        "setuptools_scm",
        "wheel",
    ],

    tests_require = [
        "pytest",
        "pytest-cov",
        "tox",
        "vcrpy",
    ],
)
