import pytest

import vcr

from helix import HelixError


def test_str(app):
    assert str(app) == "HelixApp(egoitis)"

def test_handle_event(app):
    event = {'pacId': 'PC-VCIOSK47ERXXIBPO5ZBOMW2HSNCQETCY',
             'eventType': 'accountUpdate',
             'timestamp': '2016-11-10T23:54:40Z',
             'sequenceNum': 922}
    app.handle_event(event)

    event["eventType"] = "bogus"
    app.ignore_unknown_event_types = True
    app.handle_event(event)
    app.ignore_unknown_event_types = False
    with pytest.raises(HelixError):
        assert app.handle_event(event)
    

@vcr.use_cassette
def test_process_events(app):
    app.process_events(until='2016-11-07T23:59:59Z')
    assert app.handler.counter == {'accountUpdate': 519, 'sampleStatusUpdate': 272}
    
